
Application: gvSIG desktop - gvSIG bugs #3232
Desaparecen todos los registros al borrar un elemento con tabla que pone arriba la selleción
02/26/2015 10:38 AM - Javier Galán

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: José Badía
Category: Document table
Target version: 2.2.0-2309
Severity: Major Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2269 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si borramos un elemento en una tabla que tiene la opción de poner los seleccionados arriba, se dejan de visualizar los registros de la
tabla.

Para reproducir el error:

PASOS:

Cargar una capa
Abrir la tabla
Seleccionar la opción: Mover arriba la selección
Poner la capa en edición
Seleccionar un elemento y borrarlo.

RESULTADO:

Si teníamos la tabla a la vista vemos que los registros desaparecen.
Si la habíamos cerrado, no podemos volver a abrirla.

SI cerramos la edición y guardamos, los cambios se mantienen, pero no podemos ver la tabla.

Para poder verla hay que eliminar la capa y volver a cargarla.

Associated revisions
Revision 42163 - 04/30/2015 04:51 PM - José Badía

refs #3232
Desaparecen todos los registros al borrar un elemento con tabla que pone arriba la selección

History
#1 - 02/26/2015 12:05 PM - Álvaro Anguix
- gvSIG build set to 2269
- Severity changed from Minor to Major
- Target version set to 2.2.0-2311-rc2
- Category set to Document table
- File gvSIG.log added

Gracias por el reporte, Javi.
He replicado y adjunto log resultante.

#2 - 03/10/2015 11:47 AM - Álvaro Anguix
- Assignee set to Francisco Díaz Carsí

#3 - 03/12/2015 08:40 AM - Francisco Díaz Carsí

No lo puedo reproducir en desarrollo. Lo dejo en espera de que salga el próximo build para probarlo.

#4 - 04/29/2015 05:14 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2309
- Assignee changed from Francisco Díaz Carsí to José Badía

#5 - 04/30/2015 04:52 PM - José Badía
- Status changed from New to Fixed

#6 - 05/07/2015 06:28 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 357 KB 02/26/2015 Álvaro Anguix
